START

Welcome to

Left 4 Dead 2 NonSteam Guide - GaNi™

 Print this Topic Return to chapter overview

Quick Start |
About Left 4 Dead 2 | Setting Game in Garena
Developer Console | Hosting a Server
Server Browser | Joining a Server
Changing your In-Game Name | Using ASCII & UNICODE characters in Name
Updating the Game | Standalone Patch
Frequently Asked Question(s) and Troubleshooting | Installing Addons/Maps
Game Requirements | L4D2 Control Panel

Copyright© 2010 Gaming-eXtreme , Inc. and GaNi™.

Best Gaming Experience only at Garena. Visit fps.garena.com for more info


Left 4 Dead 2 PC

Welcome again!

Left 4 Dead 2 PC

 Print this Topic Return to chapter overview

Welcome to Left 4 Dead 2 Help Center. This is where you can know more about this game and learning skills to advance the game

To open the user guide:

  • Do any one of the following:
  • On Top of the window of Standalone Patches/updates by GaNi, Just Check the Readme Box at the End on installation .
  • Or you could also open them after installation of these patches and updates, either by
    • Going to Start Menu -> All Programs -> Left 4 Dead 2 -> L4D2 NonSteam Guide
    • In your Game Directory, by Launching L4D2 NonSteam Guide.chm

Note: This Piece of work is only supplied with Left 4 Dead 2 Updates/Standalone Patch offered by GaNi™. Donot Replicate it.


Game Encryption

Navigation: Left 4 Dead 2 PC >

Gaming Encryption

 Print this Topic Return to chapter overview

Steam Anti-Piracy

Steamworks' anti-piracy suite combines three approaches to anti-piracy: (1) Custom Executable Generation, (2) Retail Encryption, and (3) Valuable Platform-Dependant Features. These work together to provide a seamless end-user experience, protecting your game and giving real value to customers.

1. Custom Executable Generation

Custom Executable Generation creates a unique build of your game for each user, making it difficult for any one user to share the game with any other user. Each individual copy of a CEG-protected game is only playable by the Steam account authorized to access it. CEG is transparent, and does not impose limits on users. It lets users access their content from any hardware, and allows unlimited hardware configuration changes without the content becoming unplayable. In fact, no changes are made to a user's computer for CEG to work. Instead, CEG works in tandem with Steam authentication, enabling content access based on user accounts, not arbitrary hardware-based "rights-management" restrictions.

2. Retail Encryption

Protect your day-one release by shipping encrypted media to stores world-wide. No need to worry that your game will leak from a replicator or stock room - your game stays encrypted until the moment you decide to release it.

Encryption technology also allows you to preload your game to users on Steam. Download encrypted data weeks in advance so that players have access to your game the moment it's released, increasing player numbers and satisfaction during the critical first days.

3. Valuable Platform-Dependant Features

Customers won't want to pirate a game that's connected to 20 million gamers and a feature-rich platform. Features like Steam Achievements, Anti-Cheat, Auto-Updating, and Steam Cloud simply dont exist outside of Steam.

Furthermore, constantly updating your game with upgrades and content leaves the pirates in the dust they are relegated to a featureless game with no community of players.


About The DLC

Navigation: Left 4 Dead 2 PC >

Downloadable Content for Left 4 Dead 2

 Print this Topic Return to chapter overview

1. The Passing

On December 14, 2009, Valve announced the first DLC installment for Left 4 Dead 2, "The Passing". Though initially planned to be released sometime in March 2010, "The Passing" was released on April 22, 2010. The content costs 560 Microsoft Points for the Xbox 360 and is free for PC users.

The campaign, taking place between the "Dead Center" and "Dark Carnival" campaigns, features the cast of Left 4 Dead 2 meeting with three of the survivors from the original Left 4 Dead. The new group learns that the fourth original survivor, Bill, sacrificed himself to allow his comrades to continue on safely; the title "The Passing" is referring to Bill's passing, as well as the brief passing encounter between the two groups and of the first group of survivors "passing the torch" to the next. A campaign for Left 4 Dead will be released sometime after "The Passing" as a prequel to the events, and will detail Bill's sacrifice. "The Passing" contains references to other zombie-themed works, including the games Dead Rising and Plants vs. Zombies, and the movie 28 Days Later.

Unlike "Crash Course", the two-map downloadable campaign for the original Left 4 Dead, "The Passing" is a three-map campaign. Expanding on the gameplay of Left 4 Dead 2 and tying it to the original game, "The Passing" features a crossing of paths in a small Georgia town between the player-controlled survivors of Left 4 Dead 2 and the computer-controlled characters surviving from the original game. The campaign introduces a new uncommon infected in the form of the 'Fallen Survivor', a well-equipped zombie that may drop useful items, but instead of attacking, runs away from the players. The add-on also features two new weapons, an M60 machine gun which becomes unusable once depleted of ammo, and a golf club for melee. New game modes, "Mutations", are offered every week after "The Passing"'s release; these game modes alter the conditions of play. These "Mutations" are only available for a single week at a time, though Valve has added the popular "Realism Versus" mutation to the game as a permanent game mode. Other mutations will be available for voting to make encore appearances every four weeks following the popularity of the "Last Gnome on Earth" mutation.

*DLC - Downloadable Content


Game Requirements

Navigation: Left 4 Dead 2 PC >

Game Requirements

 Print this Topic Return to chapter overview

1.1 System Requirements

Minimum
Supported OS: Microsoft Windows XP / Vista / Vista64 / Win7 / Win764
Processor: Pentium 4 3.0GHz
Memory: 1 GB
Graphics: 128 MB, Shader model 2.0, ATI 9600, NVIDIA 6600 or better
Hard Drive: At least 7.5 GB of free space Sound Card: DirectX 9.0c compatible sound card

Recommended
Supported OS: Microsoft Windows XP / Vista / Vista64 / Win7 / Win764
Processor: Intel core 2 duo 2.4GHz Memory: 1 GB
Graphics: Shader model 3.0, NVIDIA 7600, ATI X1600 or better

1.2 Microsoft Visual C++ 2008 & .Net Framework 3.5

Download: Visual C++ 2008 x32-Bit | Visual C++ 2008 x64-Bit

Download: .Net Framework 3.5

1.3 Gaming Clients

Steam Client

Find someone to play with, meet up with friends, connect with groups of similar interests, and host and join chats, matches, and tournaments.

Garena Client
Garena Software connects gamers worldwide by transforming the internet into a massive virtual cybercafé. Connecting with friends for a game is a lot more easier.

Tunngle Client

1.4 Non-Steam or Steam

1.4.1 Non-Steam
You can Play the game as Non-Steam in Garena/Tunngle with the Updates and Patches released here.

1.4.2 Steam
Play in Garena/Tunngle without any modifications. You can Use the Updates from this homepage if steam Fails to update your Client.


About the Game

Navigation: Left 4 Dead 2 PC >

About Left 4 Dead 2

 Print this Topic Return to chapter overview

Left 4 Dead 2 is a cooperative first-person shooter game. It is the sequel to Valve Corporation's award-winning Left 4 Dead. The game launched on November 17, 2009, for Microsoft Windows and Xbox 360 in the United States; it launched November 20 in Europe. It builds upon the cooperatively-focused gameplay of the original and uses Valve's proprietary Source engine, the same game engine used in Left 4 Dead. The game made its world premiere at E3 2009 with a trailer during the Microsoft press event.

Like the original, Left 4 Dead 2 is set during the aftermath of an apocalyptic pandemic, and focuses on four survivors fighting against hordes of the infected. The survivors must fight their way through levels, interspersed with safe houses that act as checkpoints, with the goal of reaching a rescue vehicle at the campaign's finale. The gameplay is procedurally altered by an artificial intelligence engine dubbed the "Director" that monitors the players' performance and adjust the scenario to provide a dynamic challenge. Several new features have been introduced: new types of infected, melee weapons, and a story-arc that connects the game's five campaigns together.

When it was announced, it received a combination of positive and negative critical and community reactions. It also attracted an unusually high volume of pre-release controversy about the game's graphic content. In response, alterations were made to the cover art and the Australian Office of Film and Literature Classification refused to rate the unmodified edition.


Left 4 Dead 2 In-Game

Navigation: »No topics above this level«

Left 4 Dead 2 Inside Game Lookup

 Print this Topic Return to chapter overview

With the Following Chapters below this Topic, will help you in understanding the basic and most important knowledge of the game.

Starting off from game settings, How to host a server, Joining them, Console, and all other vital resources are explained in detailed with Pictorial Guide.

Have fun in Gaining Knowledge.

GaNi™


Game Settings

Navigation: Left 4 Dead 2 In-Game >

Configure Game Settings

 Print this Topic Return to chapter overview

1. Video
1. Aspect Ratio
Adjust the width and height of your display.
2. Resolution
Adjust the level of detail of your display.
3. Display Mode
Fullscreen display optimizes performance. Windowed displays allow for multitasking.
4. Film Grain Amount
Increase or reduce film grain effect on your display.
5. Use Recommended Settings (Recommended For newbie)
Revert all video settings to what is recommended for your hardware.
6. Advanced Settings (Show settings below. For Experience users)
7. Anti-Aliasing Mode (Tip: Extreme Graphic card usage)
Smooth rough edges. Requires high graphics card memory.
8. Filtering Mode
Adjust the sharpness of game textures to optimize graphics card performance.
9. Wait For Vertical Sync (Tip: High Overall Performance usage)
Balance performance against visual artifacts.
10. Multicore Rendering (Tip: Unstable setting)
Enable to optimise performance on multicore processors. Disabling may solve problems with uneven framerate.
11. Shader Detail (Tip: Average Graphic card usage)
Adjust graphic levels based on graphics card performance.
12. Effect Detail (Tip: Low-to-Extreme CPU usage. Depend on situation in-game)
Adjust effect levels based on CPU performance.
13. Model/Texture Detail (Tip: Average-to-High Memory usage)
Adjust the detail of models and textures in the game.
14. Paged Pool Memory Available (Tip: Extreme Memory usage)
Configure your driver to allocate less or more memory.

2. Brightness
Adjust the brightness of the screen.
3. Audio
1. Game Volume
Adjust the volume of the game.
2. Music Volume
Adjust the music volume.
3. Speaker Configuration
Configure speaker layout and channels.
4. Sound Quality (Tip: High Memory usage)
Adjust sound quality.
5. Captioning
Configure your closed captioning preference.
6. Enable Voice In This Game
Allow communication between you and other players, also unlock the settings for Voice.

4. Keyboard/Mouse
1. Edit Keys/Buttons
Change your preferred keyboard, mouse and gamepad button layout.
2. Reverse Mouse
Invert the directions of your mouse.
3. Mouse Filter
Smooth out movement when using mouse to look.
4. Mouse Sensitivity
Increase or decrease the responsiveness of your mouse.
5. Allow Developer Console (Recommend: Enabled)
Allow access to the developer console to view debugging information and customize settings.
6. Gamepad
Enable handheld game controller and unlock the settings for gamepad.

5. Multiplayer
1. Automatically Discover LAN Games
Allow discover friends and servers on your LAN. Should be disabled if your ISP does not support or does not allow broadcast packets.
2. Custom Server Content
Filter the files that a game server with custom content can download to your computer.
3. Spraypaint Image
Image to be spray when press Spray(Default key: T) in game.
4. Color Blind Mode
Enable to optimize the health bar and halo glow color schemes for some types of color blindness.
5. Game Instructor
Enable or disable helpful real-time hints during gameplay.
6. Spectating Free Look
Allow free look when dead or spectating.


Developer Console

Navigation: Left 4 Dead 2 In-Game >

Developer Console

 Print this Topic Return to chapter overview

The console provides a command-line interface for the advanced configuration of Source games. Just about any configuration task can be completed from the console, and in fact many have to be.

Enabling the console

The console starts disabled by default. To enable it, load the game and visit Options > Keyboard > Advanced. There will be a pop-up that will include two options, one of them labeled "Enable Developer Console". Once enabled, it can be opened and closed by pressing the button above Tab, known as the "tilde." ~

Note: This should work regardless of your keyboard layout. If it doesn't, add -console to the game's launch options and type bind your_key toggleconsole (replace your_key with the key to open the console). Ex- bind "F10" "toggleconsole" in autoexec.cfg .

Submitting

The grey box across the bottom of the console window is where commands are entered. They come in two forms: commands and variables. Commands are simply keywords, but variables ("cvars") require a value of some sort before they are accepted. When setting a cvar you might type something like this :

 When you've finished typing, hit Return or Enter to submit. You'll see everything you type 'echoed' to the console with a preceding ].

A few notes:

  • Multiple values are separated with spaces. If a value contains a space, surround it with quote marks. (e.g. say "Hello everyone on the server".)
  • The console will suggest commands and sometimes values in a pop-out box beneath the input field. Press Up/Down to navigate the list and Tab to accept the highlighted suggestion.
  • Only "archived" cvars are stored after the game closes. Use autoexec if you want to set any others when a game loads.
  • Some commands are serverside, others clientside. In multiplayer you can only set clientside ones.
  • There are many command prefixes. The most common are cl ("clientside") and sv ("serverside").

Useful commands

  • help <command name>
    Displays any help text for a command, without affecting its value.
  • sv_cheats <bool> (Bool is 0 or 1)
    Most cvars that affect gameplay, especially in multiplayer games, are flagged as "cheats". Submit sv_cheats 1 to unlock them.
    Note: You will never be VAC banned for using built-in cheat commands.
  • map <mapname> versus/coop/scavange/survival/mutations
  • hostname "MyServerName" // Naming your server
  • sv_password "RoomPassword" // Lock your server with a password
  • sv_lan 0/1 // Internet server(0) or LAN server(1)
  • sv_cheats 0/1 // Toggle cheats in server.
  • z_difficulty "Easy, Normal, Hard, Impossible" // Change difficulty in your server
  • motd_enabled 0/1 // Toggle Message of the day in your server
  • cl_cmdrate "10" // Control the rate of your server to send/receive coordinate.
  • sv_mincmdrate "33" // Set minimum value for cl_cmdrate. 0 == unlimited. < /FONT >
  • sv_maxcmdrate "100" // 40 - Default. (If sv_mincmdrate is > 0), this sets the maximum value for cl_cmdrate.
  • mp_disable_autokick 1 // Prevents a userid from being autokicked.


Hosting a Server

Navigation: Left 4 Dead 2 In-Game >

Hosting a Server

 Print this Topic Return to chapter overview

People often wonder about hosting thier own server, and have fun with thier friends on LAN Party or Team Game. So here it is, hosting a Temprorary server known as "Listen Server".

Listen server refers to a situation in which the server typically runs in the same process as the game client, allowing a player to both host and participate in the game. As a side effect, the server is usually terminated when the client is. Listen servers are operated mostly by individuals, often in LAN Party situations rather than over the Internet, and usually with a lower number of players due to the increased processing and bandwidth requirements associated with operating both server and client simultaneously on the same machine.

Requirements

Before you can continue hosting a server, here are some requirements:

  1. Processor(CPU): Pentium 4/AMD 3.0GHz or Higher. (For Dual Core and Higher 2.0GHz+)
  2. RAM: 1GB and Higher.
  3. Most Importantly. Internet Speed/Bandwidth:
    • Download/Upload Speed: 512Kbps(64KBps) and Higher for a Stable Coop Server.
    • Download/Upload Speed: 1Mbps(256KBps) and Higher for a Stable Versus Server.
    • Note: Lower Case " b " stands for bits and Upper Case " B " stands for Bytes
    • 1 Byte = 8 Bits. So 512Kbps(Kilo-Bits) is nothing but 64KBps(Kilo-BYTES). Hence Bytes is Bigger than Bits.
  4. Optional : Sourcemod and Metamod for Administrative purposes.

Getting Started

Follow these Procedures for hosting a server(Listen)

  1. Start the game Via Garena or any other Clients.
  2. Open Console(~) and type these following:
  3. map "mapname" gamemode
    • Example: map c1m1_hotel coop and press enter. This will launch a Cooperative server. (coop - game mode)
    • Example 2: map c2m5_concert versus and press enter. This will launch a Versus(4vs4) server.
    • List of Maps Available after the recent DLC Update:
      • Campaign: Dead Center
        c1m1_hotel
        c1m2_streets
        c1m3_mall
      • Campaign: Dark Carnival
        c1m4_atrium
        c2m1_highway
        c2m2_fairgrounds
        c2m3_coaster
        c2m4_barns
        c2m5_concert
      • Campaign: Swamp Fever
        c3m1_plankcountry
        c3m2_swamp
        c3m3_shantytown
        c3m4_plantation
      • Campaign: Hard Rain
        c4m1_milltown_a
        c4m2_sugarmill_a
        c4m3_sugarmill_b
        c4m4_milltown_b
        c4m5_milltown_escape
      • Campaign: The Parish
        c5m1_waterfront
        c5m1_waterfront_sndscape
        c5m2_park
        c5m3_cemetery
        c5m4_quarter
        c5m5_bridge
      • Campaign: The Passing
        c6m1_riverbank
        c6m2_bedlam
        c6m3_port
    • List of Game Modes Available
      • coop ( 4 Players Cooperative game)
      • versus ( 4 vs 4 Versus Game)
      • survival ( 4 Player Survival Game)
      • scavenge ( 4 Player Conditional Game)
      • mutation (Refer Mutation Blog Button in Main Menu after installing GaNi's Standalone Patch)


Joining a Server

Navigation: Left 4 Dead 2 In-Game >

Joining a Server

         Print this Topic Return to chapter overview

This section will describe on Joining a LAN Based servers or Internet Servers. As of now, we all may be on a Non-Steam versions. Follow these steps to join a server in an correct order:

To Join a Server from GARENA/TUNNGLE

  1. Run the Game from Garena or Tunngle.
  2. After Coming to the Main Menu, Look towards the Right Corner Bottom Spot.
  3. If you Notice STEAM GROUP SERVERS, it means you have access to LAN servers. To Join them, Just Click any empty server to join.

To Join a Server with IP

  1. Grab an Game Server IP or LAN IP, or if on Garena/Tunngle copy the ip if someone is hosting: For example: 192.168.29.101
  2. Paste this IP in the Console of the game which is working in the network.
  3. And after this you would be joining a Particular server.

Using Server Browser

  1. Firstly open serverbrowser either by typing "openserverbrowser" in console or Clicking on Server Browser Button in the Main Menu.
  2. As of Non-Steam Game, at the moment, CUSTOM TAB Stands for WORLDWIDE NON-STEAM SERVERS
  3. And LAN TAB Stands for LOCAL Servers being Hosted in Garena/Tunngle or LAN PARTY.


Server Browser

Navigation: Left 4 Dead 2 In-Game >

Server Browser

 Print this Topic Return to chapter overview

Server Browser Usage Information

  1. Firstly open serverbrowser either by typing "openserverbrowser" in console or Clicking on Server Browser Button in the Main Menu.
  2. As of Non-Steam Game, at the moment, CUSTOM TAB Stands for WORLDWIDE NON-STEAM SERVERS
  3. And LAN TAB Stands for LOCAL Servers being Hosted in Garena/Tunngle or LAN PARTY.


GaNi's Updates\Patches

Navigation: »No topics above this level«

Standalone Patch - GaNi

 Print this Topic Return to chapter overview

To Use GaN i's update, please follow up this short instruction.

  1. Foot Rule:
    • Always Left 4 Dead 2 Master Updates or Incremental Updates comes First.
    • Then install Left 4 Dead 2 Standalone Patch.
  2. Start the Game from Desktop for Offline Game Play or
  3. Garena\Tunngle for Multiplayer Experience.


Standalone Patch

Navigation: GaNi's Updates and Patches >

Standalone Patch - GaNi

 Print this Topic Return to chapter overview

What is a Standalone Patch ?

Standalone Patch is a application which will Convert a Steam Based Game to NON-Steam based. So the game could be run without steam. The game after patching could be run via Garena or any other gaming Clients, which uses LAN networking.

Why to use GaNi's Patches ?

Standalone Patches released by GaNi are Secure, reliable, safe, State-of-Art emulators, backs-up game files and regularly updated with bug fixes and other issues. It also comes with Uninstaller and Auto-uninstaller when its being upgraded.

The total patch is compressed to take less space and avoid issues to the client. Hence providing a smoother functional object here. Standalone Patch is also packed with a sense to remove Problematic executables and files, hence delivering performance and quality on time.

Know More about GaNi's Patch from the next page.


Features

Navigation: GaNi's Updates and Patches >

Standalone Patch Features

 Print this Topic Return to chapter overview

There are so many vibrant features in Standalone Patch by GaNi, some of the listed features are:

  1. The New Standalone Patch,ie. TX series, has options of emulator. Giving wider choice to you.
  2. Left 4 Dead 2 Control Panel, is a simple-easy to use GUI based Utility, used for common purposes.
  3. Backs up all the files which are going be Modified.
  4. Garena Bootstrap are directly integrated to Config file, without loosing its contents.
  5. Setti Non Steam Servers (Custom Tab).
  6. Updated regularly with custom Mutations.
  7. ServerBrowser Button Shortcut in Main Menu.
  8. Custom Mutation Blog Menu, with Mutation's Information.
  9. Desktop/Start Menu Shortcuts.
  10. Personal Prefences such-as Name, etc are saved while updrading Standalone Patch.

Currently using 3rd Party tools

  1. Stryder Loader.
  2. revCrew Emulator
  3. Mutation Mod


L4D2 Control Panel

Navigation: GaNi's Updates and Patches >

Left 4 Dead 2 Control Panel™

 Print this Topic Return to chapter overview

Left 4 Dead 2 Control Panel™ is a simple-Easy to Use GUI based utility, which can be used to do various Functions. It can be launched either from Desktop Shortcut, Start Menu Shortcut or Game Directory,ie. L4D2 Control Panel.exe

Features:

  1. Change In-Game Alias(Name) and Game Language.
  2. Restore Game Settings
    • This Option allows you to restore:
      • Video Settings
      • KeyBoard Configurations.
  3. Check for Game Update(s) availabilty
    • Check this option weeekly to know, if your game is really Updated.
  4. Remove Game Dump File(s) such as:
    • Mini-Dumps (.mdmp)
    • SteamStart Dumps (.steamstart)


Updates

Navigation: GaNi's Updates and Patches >

Standalone Patch - GaNi

 Print this Topic Return to chapter overview

Game Updates

1. Why do you have to Update?

    • Updating your game allow a game to be more balance and stable.
    • Plus you can get new contents!

Why are you going to use my Update patches?

That's because it's clean and legit Files. Beside that, you don't have to waste your heavy Files instead you only need to download quarter of the size. That's Because, all the Updates are compressed with Latest Compressor and is checked for errors. Why don't use my patch? May because my patch doesn't perform a heavy file check to find what you missing like Steam. It's your choice!


Master Updates

Navigation: GaNi's Updates and Patches >

Master Update(s) - GaNi

 Print this Topic Return to chapter overview
Highly recommended for Beginners!
As the name itself says " Master update " meaning, The Master Of all updates. Superior to Incremental Updates and all other inferior patches.
This Patch has the content update from the basic version of the game till the Latest version of the game. Giving clients haslte-free situation from installing multiple smaller updates to gain version.
This Update is Huge in Size, but lotta worth, when you re-install the game and update the game from Scratch.
There are no Pre-requisites of this update pack like to incremental updates, this can be isntalled on any version of the game and gain version to the declared version.


Incremental Updates

Navigation: GaNi's Updates and Patches >

Incremental Update(s) - GaNi

 Print this Topic Return to chapter overview
This Update pack is Lite, Fast and very useful for gaining smaller versions.
Update of this kind can only be used\applied on the game, where the have used Master update once or have been match to the mentioned previous version.
Features:
  • Version Specific, hence smaller in size.
  • Pre-requisites is full update to the previous version as mentioned in the update.


Setting Game in Garena

Navigation: GaNi's Updates and Patches >

Setting Game in Garena

 Print this Topic Return to chapter overview

1. Installing Garena

1. Go to http://www.garena.com/ then click Download Garena.
2. Click any mirror under your preferred language to download.
3. Start Garena_setup.exe.
4. Follow the instruction and finish the installation.

2. Registering Garena Account

1. Start Garena and click on Register when Garena login window show up.
2. Fill in all the form accordingly then click Submit.

3. Setting Garena for Left 4 Dead 2

1. Start and Login your Garena.
2. Click Game -> Left 4 Dead 2 on the left sidebar. Select your Country Region* and double click room to join.
3. Click Settings.
4. Click the Browse button.
5. Navigate to your Left 4 Dead 2 folder (By default: C:\Program Files\Left 4 Dead 2) and select left4dead.exe then click Open.
6. Nothing Required at Game Bootstrap Parameters box.
7. Click Update!
8. You can now click Start Gamebutton to play Left 4 Dead.


Frequently Asked Questions

Navigation: »No topics above this level«

Frequently Asked Questions (FAQs)

 Print this Topic Return to chapter overview

Frequently Asked Questions [FAQs]

  • Browse though given below Chapters below and get your Answers to most commonly faced issues and problems.

<= Chapters Towards Left Index


Install Button Locked

Navigation: Frequently Asked Questions >

Install Button Locked

 Print this Topic Return to chapter overview

1. Did the INSTALL Button go grey while installing Standalone/Update Patches?

  • Reason: The Patch was designed to sense the correct installation path, hence if you point a wrong path while installation, it wont let you continue the process. This way you can avoid overwriting of files in wrong place and avoiding game file corruption.
    Good Path Selection Depends on: 1. left4dead2.exe, main root directory with other folders , as given below:


Sound Troubleshoot

Navigation: Frequently Asked Questions >

Game Sound Troubleshooting

 Print this Topic Return to chapter overview

1. Does your game Sound Cracks\Fizzes or Donot have Sound at all ? [Read this completely before Attempting ]

  • If you have any sound trouble, like Crackling sounds in between the game or the audio doesn't syncs or similar to that. All you have to do is :
    1. Open console and type " snd_rebuildaudiocache ". Now Goto Step 2.
    1. Wait (Approx. 10mins) until the Background loading circle starts moving again. When it starts to move
    2. Open console and type this " exit " and restart the game.
      • OR
    3. Alt-Tab out and Kill left4dead2.exe from TaskManager.

  • Remove some Addons from <Game Directory>\left4dead2\addons\
    • because, they may also be interfering with the game audio cache sequence.


Change In-Game Name

Navigation: Frequently Asked Questions >Changing In-Game ALIAS(Name) and Language

 Print this Topic Return to chapter overview

1. Changing In-Game Name

    1. Change name using Left 4 Dead 2 Control Center (L4D2 Control Panel.exe) [Left 4 Dead 2 Control Panel™]
      • Open it from Start Menu or Desktop Shortcut or from Game Directory.
              • OR
    2. Change name using console.(Temporary Solution)
      1. Go into Left 4 Dead 2 and open up console.
      2. Type: name "YourName" and then click Submit, ie: name "Sonic Boom"
    3. If Solutions above doesn't work.
      • Go to your Left 4 Dead 2 then into left4dead2\cfg. Open config.cfg or autoexec.cfg with Wordpad then use Wordpad Search function(Ctrl+F) and search for "Name". Remove that line or replace the it into " name 'YourName' " just like in the console.


Server Cvars

Navigation: Frequently Asked Questions >

Server Console Variables

 Print this Topic Return to chapter overview

Here are some Basic and Helpful Console Variables(cvars)

  • map "mapname" versus/coop/scavange/survival/mutation
  • hostname "MyServerName" // Naming your server
  • sv_password "RoomPassword" // Lock your server with a password
  • sv_lan 0/1 // Internet server(0) or LAN server(1)
  • sv_cheats 0/1 // Toggle cheats in server.
  • motd_enabled 0/1 // Toggle Message of the day in your server
  • cl_cmdrate "10" // Control the rate of your server to send/receive coordinate.
  • sv_mincmdrate "33" // Set minimum value for cl_cmdrate. 0 == unlimited.
  • sv_maxcmdrate "100" //  40 - Default. (If sv_mincmdrate is > 0), this sets the maximum value for cl_cmdrate.
  • mp_disable_autokick 1 // Prevents a userid from being autokicked.

Will be Updates here and then.........


Unicode PlayerName

Navigation: Frequently Asked Questions >

Unicode\ASCII - Player Name

 Print this Topic Return to chapter overview

1. How to use ASCII\Unicode Character-Symbols in Player Name ?

  • Before continuing, please download this Application: NotePad++
  1. Follow these steps if you have revCrew's Emulator installed. If not proceed to Step 2.
    • Goto your game folder , when there, open the file "rev.ini" with NotePad++.exe
    • Click Encoding tab-> Select Encode to UTF-8
    • Copy the custom characters either from Character Map or other source.
    • Look for the line: PlayerName =
    • Paste your custom Characters in this manner:
    • PlayerName ="YourCustomName" (Remember to use Quotes " " )
    • Save it. And now run the Game. voila a New and Funky Name.

    • revCrew name Changer Images 1

      revCrew name Changer Images 2
  2. If you have Stryder's Emulator installed, then
    • Goto your Game Folder , when there, open the file "stryder.ini" with NotePad++.exe
    • Click Encoding tab-> Select Encode to UTF-8 without BOM
    • Copy the custom characters either from Character Map or other source.
    • Look for the line: Name =
    • Paste your custom Characters in this manner:
    • Name= "YourCustomName"
    • Save it. And now run the Game. voila a New and Funky Name.

    • Stryder name Changer Images 1

      Stryder name Changer Images 2

NOTE: ALWAYS REVERT BACK THE ENCODING TO ANSI BEFORE USING "L4D2 Control Panel.exe"
To do this: Open NotePad++ -> Encoding Tab -> Conver to ANSI and save the document.
This is because, Control Panel Cannot read or save UTF-8 Characters. For now though, still in developing stage.


Installing Addons

Navigation: Frequently Asked Questions >

Installing Addon Package/ VPK Addon

 Print this Topic Return to chapter overview

1. Installing Addon(s)

  1. After Downloading any Addon Pack from Various Sources, you must Un-Pack the archieve because they are normally zipped to reduce Net Size.
  2. Extracting will give out a a File with .VPK as an extension. VPK is the valve addon package extension.
  3. Copy\Cut\Move this File to your -
  4. "Game Folder\left4dead2\addons\", Here place your VPK.
  5. And now run your game and select Single Player -> in Campaign, Choose Addon and Choose your Addon File.
  6. Start the game.

Pictorial Guide

Step 1:

Step 2:

Step 3:

Step 4: